/***************************************************************************
                          fractalbuffer.cpp  -  description
                             -------------------
    begin                : Sam Mai 10 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "fractalbuffer.h"


FractalBuffer::FractalBuffer()
{
   Buffer     = NULL;
   BufferSize = 0;
   Width      = 0;
   Height     = 0;
}

FractalBuffer::~FractalBuffer()
{
   reset(0,0);
}

bool FractalBuffer::reset(const unsigned int width, const unsigned int height)
{
   if(Buffer) {
      delete Buffer;
   }
   Width      = width;
   Height     = height;
   BufferSize = width * height;
   if(BufferSize > 0) {
      Buffer = new unsigned int[BufferSize];
      if(Buffer == NULL) {
         reset(0,0);
         return(false);
      }
      clear();
   }
   else {
      Buffer = NULL;
   }
   return(true);
}

void FractalBuffer::clear()
{
   for(unsigned int i = 0;i < BufferSize;i++) {
      Buffer[i] = (unsigned int)~0;
   }
}
