/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sam Mai 10 10:39:46 CEST 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kcrash.h>

#include "fractalgenerator.h"

static const char *description =
	I18N_NOOP("FractalGenerator");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

    KAboutData aboutData( "fractalgenerator", I18N_NOOP("FractalGenerator"),
        VERSION, description, KAboutData::License_GPL,
        "(c) 2003, Thomas Dreibholz", 0, 0, "dreibh@exp-math.uni-essen.de");
    aboutData.addAuthor("Thomas Dreibholz",0 , "dreibh@exp-math.uni-essen.de");
    aboutData.addAuthor("Sebastian Rohde","Added \"Export Picture\"\nAdded configuration mechanism\nBug fixing\nAdded Load/Save\nVarious other extensions\nAdded \"zoom back\"/\"reset Zoom\"\nAdded Change Size\n"
     , "rohde@exp-math.uni-essen.de");
    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
  KCrash::setCrashHandler(NULL);
  puts("Kein Crash-Handler!!!");
  
  if (app.isRestored())
  {
    RESTORE(FractalGeneratorApp);
  }
  else 
  {
    FractalGeneratorApp *fractalgenerator = new FractalGeneratorApp();
    fractalgenerator->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
        fractalgenerator->openDocumentFile(args->arg(0));
		}
		else
		{
		  //fractalgenerator->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
