/***************************************************************************
                          mandelbrotn.h  -  description
                             -------------------
    begin                : Sam Mai 17 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MANDELBROTN_H
#define MANDELBROTN_H

#include <mandelbrot.h>

/**
  *@author Thomas Dreibholz
  */

class MandelbrotN : public Mandelbrot  {
   public: 
   MandelbrotN();
   ~MandelbrotN();
   const char* getName();
   const char* getSaveIdentifier();
   unsigned int calculatePoint(const unsigned int x,
                               const unsigned int y);
   std::complex<double> defaultC1();
   std::complex<double> defaultC2();


   private:
   static MandelbrotN* Registration;

   double N;
};

#endif
